## org.eclipse.jst.jsf.common.metadata.query
Class EmptyResultSet

    java.lang.Object
      org.eclipse.jst.jsf.common.metadata.query.EmptyResultSet

All Implemented Interfaces:
  IResultSet

    public final class EmptyResultSet

extends java.lang.Object
implements IResultSet

Implementation of an empty result set

Provisional API - subject to change

Constructor Summary
`EmptyResultSet()`

Method Summary
`void` `close()` Signal that the query results are no longer required allowing for any cleanup that may be required Once a resultset is closed, a MetaDataException should be thrown if the next() or hasNext() is called.
`java.util.List` `getResults()`
`boolean` `isClosed()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyResultSet

    public EmptyResultSet()

Method Detail

### close

    public void close()

  Description copied from interface: `IResultSet`
  Signal that the query results are no longer required allowing for any cleanup that may be required Once a resultset is closed, a MetaDataException should be thrown if the next() or hasNext() is called. Clients can check isClosed() first.

  Specified by:
    `close` in interface `IResultSet`

### getResults

    public java.util.List getResults()
                              throws MetaDataException

  Specified by:
    `getResults` in interface `IResultSet`
  Returns:
    unmodifiable List of results. May NOT be null. Implementer must return Collections.EMPTY_LIST instead.
  Throws:
    `MetaDataException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `IResultSet`
  Returns:
    true if this resultset has been closed.